Search found 8 matches

by IMUser
2019-04-22T14:44:54-07:00
Forum: Users
Topic: How do you make configure run correctly on Debian?
Replies: 3
Views: 2285

Re: How do you make configure run correctly on Debian?

I've decided that checking all the ImageMagick dependencies, and creating one or more Debian ImageMagick-dependencies installation commands, would take at least several hours at the minimum, and isn't worth the trouble for my purpose unless I had no alternative. Maybe some other time, if there's a n...
by IMUser
2019-04-22T11:13:02-07:00
Forum: Users
Topic: How do you make configure run correctly on Debian?
Replies: 3
Views: 2285

How do you make configure run correctly on Debian?

This thread addresses the same issue, but solves the problem differently (by using the rpm package). I need a solution to the following problem. I'm trying to install ImageMagick-7.0.8-41 using the source, on Debian 9.8.0 amd64. When I run the following command ./configure --with-modules=no --with-...
by IMUser
2019-02-19T10:11:18-07:00
Forum: MagickWand
Topic: Gradient options via MagickWand
Replies: 3
Views: 4426

Gradient options via MagickWand

The following is a similar post, but it was posted 12 years ago, so I'm posting this. https://imagemagick.org/discourse-server/viewtopic.php?f=6&t=8149&p=24951&hilit=MagickWand+gradient#p24951 I have installed the most recent version of ImageMagick (7.0.8-27 Q16 x64 2019-02-09) on a Windows 7 comput...
by IMUser
2018-06-24T14:30:39-07:00
Forum: Users
Topic: Failure to draw text when using a certain font
Replies: 1
Views: 1456

Failure to draw text when using a certain font

The following ImageMagick command produces an empty output image without text. magick -size 4000x800 xc:none -fill rgb(17,35,39) -font Kumar-One -pointsize 300.0 -strokewidth 1 -stroke rgb(196,167,194) -gravity NorthWest +antialias -annotate +0+0 "This is first line." "c:\temp\test.png" I'm sure it ...
by IMUser
2011-06-15T12:08:33-07:00
Forum: Bugs
Topic: 6.6.9-10 and newer does not build with uclibc
Replies: 8
Views: 15410

Re: 6.6.9-10 and newer does not build with uclibc

Changed 1300 to 1400 in three places... /* Define to 1 if you have the `strtod_l' function. */ #if defined(_VISUALC_) && (_MSC_VER >= 1400) #define MAGICKCORE_HAVE_STRTOD_L 1 #endif ... /* Define to 1 if you have the `vfprintf_l' function. */ #if defined(_VISUALC_) && (_MSC_VER >= 1400) #define MAGI...
by IMUser
2011-06-15T11:58:36-07:00
Forum: Bugs
Topic: 6.6.9-10 and newer does not build with uclibc
Replies: 8
Views: 15410

Re: 6.6.9-10 and newer does not build with uclibc

Here's detailed info. I went back and tried compiling ImageMagick-6.7.0-7.7z again. C:\Documents and Settings\Allen\My Documents\Visual Studio Projects\ImageMagick-6.7.0\magick\locale.c(128): error C2059: syntax error : ';' C:\Documents and Settings\Allen\My Documents\Visual Studio Projects\ImageMag...
by IMUser
2011-06-15T11:18:45-07:00
Forum: Bugs
Topic: 6.6.9-10 and newer does not build with uclibc
Replies: 8
Views: 15410

Re: 6.6.9-10 and newer does not build with uclibc

(straight off the "About Microsoft Visual C++" dialog window) Microsoft Development Environment 2003 Version 7.1.3088 Visual C++ .NET An old Visual C++, but still slightly newer than 7.0 used in VisualMagick. I got the "must update all projects to current version" notification. I did not compile a n...
by IMUser
2011-06-14T21:14:58-07:00
Forum: Bugs
Topic: 6.6.9-10 and newer does not build with uclibc
Replies: 8
Views: 15410

Re: 6.6.9-10 and newer does not build with uclibc

I have tried to build MT static library on Windows and encountered the exact same problem.

Both ImageMagick-6.7.0-7.7z and ImageMagick-6.6.9-10.7z failed to build due to the same issue described by the OP.

After reading this thread, tried ImageMagick-6.6.8-10.7z, and viola, it builds fine.